Services
All operations require authentication.
List servicesProduction
Returns the UUIDs of your OVHcloud Connect services, filterable by IAM tags.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get serviceProduction
Returns the service's provider, PoP, bandwidth, port count, vRack and status.
Path parameters
Service name
Response
Service bandwidth
100g100m10g1g200m20g2g500m50m5gService description
Service family
IAM resource metadata
List of interfaces linked to a service
Pop reference where the service is delivered
Port quantity
12Product name of the service
Service provider
OVHcloudRISQconsoleconnectdcexpdigitalrealtyedgeequinixfibrenoiregoogleintercloudinternalinterxionmegaportorangeService sector
Service status
activeclosedService UUID
vrack linked to the service
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "bandwidth": "100g", "description": "string", "family": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "interfaceList": [ 0 ], "pop": "string", "portQuantity": "1", "product": "string", "provider": "OVHcloud", "sector": "string", "status": "active", "uuid": "00000000-0000-0000-0000-000000000000", "vrack": "string"}
Get subscriptionProduction
Returns contacts, creation and expiration dates, and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Get migrationProduction
Returns the migration type (repricing or total), product, status and dates.
Path parameters
Service name
Response
Starting date of the migration
Ending date of the migration
Migration reference
Name of the migration product
ServiceId reference
Migration status
cancelleddoingdoneerrorpauseproblemtodoType of migration
repricingtotalExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ migration \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "productName": "string", "serviceId": 0, "status": "cancelled", "type": "repricing"}
Change contactsProduction
Starts the change of the admin, tech or billing contact and returns the request IDs.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Request terminationProduction
Emails a termination token to the admin contact, to use with Confirm termination.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm terminationProduction
Confirms the termination with the emailed token and records your reason.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Update service descriptionProduction
Changes the service's free-text description, its only editable field.
Path parameters
Service name
Request body (required)
New description for your service
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Update renewal settingsProduction
Changes how the service renews; renew is the only editable field.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"